--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: ==
block_params: 
comment: 
full_name: Type#eql?
is_singleton: false
name: eql?
params: (other)
visibility: public
